package cn.yyxx.commsdk.platform.hnyy.fragment.fragment;

import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.View;
import android.widget.ImageButton;



import cn.yyxx.commsdk.core.utils.ResourceUtil;

public class BaseFragment extends Fragment implements View.OnClickListener {
    private ImageButton btn_kefu;

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        btn_kefu = view.findViewById(ResourceUtil.getId(getActivity(),"btn_kefu"));
        if (btn_kefu != null){
            btn_kefu.setOnClickListener(this);

        }



    }

    public void addFragmentToActivity(FragmentManager fragmentManager,
                                      Fragment fragment, int frameId) {


        FragmentTransaction transaction = fragmentManager.beginTransaction();
        transaction.add(frameId, fragment).addToBackStack(null);
        transaction.commit();
    }

    public void replaceFragmentToActivity(FragmentManager fragmentManager, Fragment fragment, int frameId) {



        FragmentTransaction transaction = fragmentManager.beginTransaction();
        transaction.replace(frameId, fragment);
        transaction.commit();
    }

    @Override
    public void onClick(View v) {
        if (v.getId() == ResourceUtil.getId(getActivity(), "btn_kefu")){



        }
    }
}
