package cn.yyxx.commsdk.platform.hnyy;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.WindowManager;
import android.widget.FrameLayout;

import cn.yyxx.commsdk.base.internal.ICallback;
import cn.yyxx.commsdk.core.entry.bean.InitBean;
import cn.yyxx.commsdk.platform.BaseLoginActivity;
import cn.yyxx.commsdk.platform.user.UserSession;
import cn.yyxx.commsdk.platform.user.UserSessionManager;
import cn.yyxx.support.AndroidBug5497Workaround;
import cn.yyxx.support.AppUtils;
import cn.yyxx.support.ResUtils;

public class HNYYLoginActivity extends BaseLoginActivity {

    private static InitBean initBean = null;
    private static ICallback iCallback = null;
    private FrameLayout rootContainer;
    private UserSession session;

    @Override
    protected void onCreate(@Nullable final Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        containerId = ResUtils.getResId(this, "hnyy_login_container", "id");

    }

    public static void start(Activity activity, InitBean initBean, ICallback callback) {
        initBean = initBean;
        iCallback = callback;
        activity.startActivity(new Intent(activity, HNYYLoginActivity.class).setFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
    }

    private void initView(Context context){
        if (AppUtils.isLandscape(context)) {
            getWindow().setSoftInputMode(WindowManager.LayoutParams.SOFT_INPUT_ADJUST_PAN);
        }
        setContentView(ResUtils.getResId(this, "qs_qc_login", "layout"));

        if (!AppUtils.isLandscape(context)) {
            AndroidBug5497Workaround.assistActivity(this);
        }
        rootContainer = findViewById(ResUtils.getResId(this, "qs_qc_login_container", "id"));
        session = UserSessionManager.getInstance().getLocalLastSession();

    }


    @Override
    public void switchFragment(final String tag) {
        super.switchFragment(tag);
    }
}
