package cn.yyxx.commsdk.platform.hnyy.fragment.fragment;


import static cn.yyxx.commsdk.core.constants.Constants.CLICK_INTERVAL;

import android.app.Fragment;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.text.TextUtils;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;

import cn.yyxx.commsdk.core.utils.ResourceUtil;
import cn.yyxx.commsdk.platform.hnyy.fragment.fragment.widget.TosUtil;

public class UserAccountLoginFragment extends BaseFragment {

    private EditText reg_account_edit,reg_pwd_edit;
    private ImageView down_btn,iv_show_pwd;
    private ImageButton close_btn;
    private Button reg_compete_btn;
    private TextView tv_fofget_pwd;
    private boolean isShowPwd = false;


     private ListView account_listview;


    private ImageView showListView;

    private boolean isShowList = false;

    private TextView list_text;

    private long clickLoginTime = 0L;

    private String login_token;

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate(ResourceUtil.getLayoutId(getActivity(),"hnyy_account_login"), container, false);
        view.setClickable(true);
        return view;
    }

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        reg_account_edit = view.findViewById(ResourceUtil.getId(getActivity(),"reg_account_edit"));
        reg_pwd_edit= view.findViewById(ResourceUtil.getId(getActivity(),"reg_pwd_edit"));

        down_btn = view.findViewById(ResourceUtil.getId(getActivity(),"down_btn"));
        down_btn.setOnClickListener(this);

        iv_show_pwd = view.findViewById(ResourceUtil.getId(getActivity(),"iv_show_pwd"));
        iv_show_pwd.setOnClickListener(this);


        list_text  = view.findViewById(ResourceUtil.getId(getActivity(), "list_text"));

        account_listview  =  view.findViewById(ResourceUtil.getId(getActivity(), "account_listview"));


        showListView = view.findViewById(ResourceUtil.getId(getActivity(), "down_btn"));
        showListView.setOnClickListener(this);

        reg_compete_btn = view.findViewById(ResourceUtil.getId(getActivity(),"reg_compete_btn"));
        reg_compete_btn.setOnClickListener(this);

        tv_fofget_pwd = view.findViewById(ResourceUtil.getId(getActivity(),"tv_fofget_pwd"));
        tv_fofget_pwd.setOnClickListener(this);


    }

    @Override
    public void onClick(View v) {
        super.onClick(v);
        int id = v.getId();
        if (id == ResourceUtil.getId(getActivity(), "reg_compete_btn")){
            if (System.currentTimeMillis() - clickLoginTime < CLICK_INTERVAL) {

                return;
            }
            clickLoginTime = System.currentTimeMillis();
            startLogin(reg_account_edit.getText().toString(), reg_pwd_edit.getText().toString());

        }else if(id == ResourceUtil.getId(getActivity(), "down_btn")){
            /*	显示缓存账号	*/

        }else if(id == ResourceUtil.getId(getActivity(), "iv_show_pwd")){



        }else if(id == ResourceUtil.getId(getActivity(), "btn_account_login")){


        }else if(id == ResourceUtil.getId(getActivity(), "close_btn")){

        }else if(id == ResourceUtil.getId(getActivity(), "tv_fofget_pwd")){


        }


    }


    private void startLogin(final String account, final String pwd) {
        if (TextUtils.isEmpty(account)){
            new TosUtil(getActivity(),TosUtil.TOAST_ERROR, getString(ResourceUtil.getStringId(getActivity(), "hnyy_band_need_account"))).show();

            return;
        }
        if (TextUtils.isEmpty(pwd)){
            new TosUtil(getActivity(),TosUtil.TOAST_ERROR, getString(ResourceUtil.getStringId(getActivity(), "hnyy_band_need_pwd"))).show();

            return;
        }

        if(account.length()<6)
        {
            new TosUtil(getActivity(),TosUtil.TOAST_ERROR, getString(ResourceUtil.getStringId(getActivity(), "hnyy_account_limit_6"))).show();

            return;
        }
        if(pwd.length()<6)
        {
            new TosUtil(getActivity(),TosUtil.TOAST_ERROR, getString(ResourceUtil.getStringId(getActivity(), "hnyy_pwd_limit_6"))).show();

            return;
        }



    }


}
