package cn.yyxx.commsdk.platform.hnyy.fragment.fragment;


import static cn.yyxx.commsdk.core.constants.Constants.CLICK_INTERVAL;

import android.app.Fragment;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;


import cn.yyxx.commsdk.core.utils.ResourceUtil;

public class UserSwitchAccountLoginFragment extends BaseFragment{

    private TextView ib_edit_account,tv_other_login_type;

    private boolean isEditStatus = false;

    private long clickLoginTime = 0L;

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(ResourceUtil.getLayoutId(getActivity(),"hnyy_switch_account_login"), container, false);
        view.setClickable(true);
        return view;

    }

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        ib_edit_account = view.findViewById(ResourceUtil.getId(getActivity(),"ib_edit_account"));

        ib_edit_account.setOnClickListener(this);

        tv_other_login_type = view.findViewById(ResourceUtil.getId(getActivity(),
                "tv_other_login_type"));
        tv_other_login_type.setOnClickListener(this);



    }

    @Override
    public void onClick(View v) {
        super.onClick(v);
        int id = v.getId();
        if (id == ResourceUtil.getId(getActivity(), "ib_edit_account")) {

        }else  if (id == ResourceUtil.getId(getActivity(), "all_item_1")) {


        }else  if (id == ResourceUtil.getId(getActivity(), "all_item_2")) {

        }else  if (id == ResourceUtil.getId(getActivity(), "all_item_3")) {

        }else  if (id == ResourceUtil.getId(getActivity(), "tv_other_login_type")) {
            Fragment accountLoginFragment = FragmentUtils.getSdkFragment(getActivity(),FragmentUtils.SDK_PHONE_REGISTER_TAG);
            replaceFragmentToActivity(getFragmentManager(),accountLoginFragment,ResourceUtil.getId(getActivity(),"hnyy_content"));

        }
    }

    private void startLogin(final String account, final String pwd,final String login_token){
        if (System.currentTimeMillis() - clickLoginTime < CLICK_INTERVAL) {

            return;
        }
        clickLoginTime = System.currentTimeMillis();



    }
}
